package com.gic.haoban.manage.service.dao.mapper.hm;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.api.dto.hm.HmLinkChatDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.HmLinkChatQDTO;
import com.gic.haoban.manage.service.entity.hm.TabHmLinkChat;

/**
 * 
 * @ClassName: TabHaobanHmLinkChatMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 22:36:24
 * @Modify
 * @CopyRight 
 */
public interface HmLinkChatMapper {

    public int insert(TabHmLinkChat tabHaobanHmLinkChat);

    public int delete(@Param("linkId") Long linkId, @Param("notDelIdList") List<Long> notDelIdList,
            @Param("otherFlag") int otherFlag);

    public int update(TabHmLinkChat entity);

    public List<HmLinkChatDTO> listByLinkId(@Param("wxEnterpriseId") String wxEnterpriseId,
            @Param("enterpriseId") String enterpriseId, @Param("linkId") Long linkId);

    public List<HmLinkChatDTO> getLinkCountForHm(@Param("wxEnterpriseId") String wxEnterpriseId,
            @Param("chatHmIdList") List<Long> chatHmIdList);

    public List<HmLinkChatDTO> listPage(HmLinkChatQDTO qdto);
}